<?php
namespace wcf\system\event\listener;

use wcf\system\WCF;

/**
 * Counts the user that needs approval.
 *
 * @author      jens1o
 * @copyright   Jens Hausdorf 2018
 * @license     MIT License
 * @package     wcf\system\event
 * @subpackage  listener
 */
class FrontendUsersAreAwaitingApprovalListener implements IParameterizedEventListener {

    /**
     * @inheritDoc
     */
    public function execute($eventObj, $className, $eventName, array &$parameters) {
        $usersAwaitingApproval = 0;

        if (REGISTER_ACTIVATION_METHOD === '2') {
            $sql = 'SELECT	COUNT(*)
            FROM	wcf'.WCF_N.'_user
            WHERE	activationCode <> 0';
            $statement = WCF::getDB()->prepareStatement($sql);
            $statement->execute();
            $usersAwaitingApproval = $statement->fetchSingleColumn();
        }

        WCF::getTPL()->assign('usersAwaitingApproval', $usersAwaitingApproval);
    }

}